package com.ebaiyihui.family.doctor.common.bo;

import lombok.Data;

/**
 * @ClassName: ImMessageEntity
 * @Author:yanliang
 * @Date:2024/4/1 11:11
 * @Description
 */
@Data
public class ImMessageDTO {

    private String id;

    /**
     * 创建者
     **/
    private String createUser;

    /**
     * 更新者
     **/
    private String updateUser;

    /**
     * 创建时间 yyyy-MM-dd hh:mm:ss
     **/
    private String createDateTime;

    /**
     * 最后更新时间 yyyy-MM-dd hh:mm:ss
     **/
    private String updateDateTime;

    private String sessionId;

    /**
     * 发送者Id
     **/
    private String senderId;

    /**
     * 接收者Id
     **/
    private String receiverId;

    /**
     * 消息内容
     **/
    private String message;

    /**
     * 消息类型
     **/
    private String msgType;

    /**
     * 消息发送时间   以腾讯云推送时间为准
     **/
    private String msgTime;

    /**
     * 客户端自定义消息主键
     **/
    private String clientMsgId;

    /**
     * 腾讯云消息主键
     **/
    private String apiMsgId;

    /**
     * 语音时长
     **/
    private Integer duration;

    /**
     * 发送者操作平台
     **/
    private String optPlatform;

    /**
     * Linux时间戳
     **/
    private Long timeStamp;

    private Integer status;

    /**
     * 有序的消息编号
     */
    private Long msgId;

    private String treatmentId;

    private String senderUserId;

    private String roomNum;
}
