package com.ebaiyihui.family.doctor.common.bo;

import com.ebaiyihui.imforward.client.vo.AccountVO;

import java.util.List;

/**
 * @ClassName: MessageInfo
 * @Author:yanliang
 * @Date:2024/3/14 15:19
 * @Description
 */

public class MessageInfo {

    /**
     * 接收账号(团队)
     */
    private List<AccountVO> receiveAccounts;

    /**
     * 接收账号（个人）
     */
    private AccountVO singleAccount;

    /**
     * 发送账号（个人）
     */
    private AccountVO selfAccount;

    /**
     * 消息内容对象
     */
    private Message message;

    /**
     * 延迟毫秒数
     */
    private Long syncFlag;

    /**
     * user=指定用户发送消息，system=发送系统消息
     */
    private String actionType;

    /**
     * 【选填】消息类型:TIMTextElem,TIMLocationElem,TIMFaceElem,TIMCustomElem,TIMSoundElem,TIMImageElem,TIMFileElem, TIMVideoFileElem
     */
    private String msgType;

    public List<AccountVO> getReceiveAccounts() {
        return receiveAccounts;
    }

    public void setReceiveAccounts(List<AccountVO> receiveAccounts) {
        this.receiveAccounts = receiveAccounts;
    }

    public AccountVO getSingleAccount() {
        return singleAccount;
    }

    public void setSingleAccount(AccountVO singleAccount) {
        this.singleAccount = singleAccount;
    }

    public AccountVO getSelfAccount() {
        return selfAccount;
    }

    public void setSelfAccount(AccountVO selfAccount) {
        this.selfAccount = selfAccount;
    }

    public Message getMessage() {
        return message;
    }

    public void setMessage(Message message) {
        this.message = message;
    }

    public Long getSyncFlag() {
        return syncFlag;
    }

    public void setSyncFlag(Long syncFlag) {
        this.syncFlag = syncFlag;
    }

    public String getActionType() {
        return actionType;
    }

    public void setActionType(String actionType) {
        this.actionType = actionType;
    }

    public String getMsgType() {
        return msgType;
    }

    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }

    @Override
    public String toString() {
        return "MessageInfo{" +
                "receiveAccounts=" + receiveAccounts +
                ", singleAccount=" + singleAccount +
                ", selfAccount=" + selfAccount +
                ", message=" + message +
                ", syncFlag=" + syncFlag +
                ", actionType='" + actionType +
                ", msgType='" + msgType + '\'' +
                '}';
    }
}
