package com.ebaiyihui.family.doctor.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: MobileBenefitPackageVo
 * @Author:yanliang
 * @Date:2024/3/19 11:38
 * @Description
 */
@Data
public class MobileBenefitPackageDTO {

    @ApiModelProperty(value = "权益编码")
    private String productId;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "外部用户id")
    private String userId;

    @ApiModelProperty(value = "外部订单id")
    private String orderId;

    @ApiModelProperty(value = "激活订单id")
    private String activateOrderId;

    @ApiModelProperty(value = "有效期开始时间")
    private String benefitsStartTime;

    @ApiModelProperty(value = "有效期结束时间")
    private String benefitsEndTime;

    @ApiModelProperty(value = "限制次数")
    private Integer timeLimit;
    
    @ApiModelProperty(value = "是否续订【1:自动续订，0:一次性】")
    private String isRenew;
}
