package com.ebaiyihui.family.doctor.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: RequestUpdateScheduleStatusDTO
 * @Author:yanliang
 * @Date:2024/3/25 11:21
 * @Description
 */
@Data
public class RequestUpdateScheduleStatusDTO {

    @ApiModelProperty("排班id")
    private Long id;

    @ApiModelProperty("停诊复诊：正常—— 1  停诊—— -1")
    private Integer scheduleStatus;

    @ApiModelProperty("需要停诊的日期 yyyy-MM-dd")
    private String scheduleTime;

    @ApiModelProperty("是否开启循环排班 1开启 -1关闭")
    private Integer isCycleSchedule;
}
