package com.ebaiyihui.family.doctor.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * @ClassName: ZKfbImInfoResVo
 * @Author:yanliang
 * @Date:2024/3/13 14:26
 * @Description
 */
@Data
@Builder
public class ImInfoResVo {

    @ApiModelProperty("医生IM账号")
    private String docImAccount;

    @ApiModelProperty("患者IM账号")
    private String patImAccount;

    @ApiModelProperty("房间号")
    private Long roomNum;

    private String sig;

    private Long doctorId;

    @ApiModelProperty("医生头像")
    private String doctorPortrait;

    @ApiModelProperty("医生姓名")
    private String doctorName;

    @ApiModelProperty("医生科室id")
    private String deptId;

    @ApiModelProperty("患者名称")
    private String patientName;

    @ApiModelProperty("患者头像")
    private String patientPortrait;

    @ApiModelProperty("IM历史消息")
    private List<IMMsgResultVo> iMMsgVo;

    @ApiModelProperty("签约id")
    private String signSeqId;
}
