package com.ebaiyihui.family.doctor.server.common.constants;

/**
 * @ClassName: CommonConstants
 * @Author:yanliang
 * @Date:2024/3/13 10:19
 * @Description
 */

public class CommonConstants {

    /**
     * 性别男 - 数据库值
     */
    public static final Integer GENDER_MALE_KEY = 1;

    /**
     * 性别男 - 页面显示值
     */
    public static final String GENDER_MALE_DESC = "男";

    /**
     * 性别女 - 数据库值
     */
    public static final Integer GENDER_FAMALE_KEY = 2;

    /**
     * 性别女 - 页面显示值
     */
    public static final String GENDER_FAMALE_DESC = "女";


    /**
     * 性别未知 - 页面显示值
     */
    public static final String GENDER_UNKNOWN_DESC = "未知";

    /**
     * 0 - 数据无效
     */
    public static final Integer STATUS_INVALID = 0;

    /**
     * 1 - 数据有效
     */
    public static final Integer STATUS_VALID = 1;

    /**
     * 分页显示，单页最大显示条数
     */
    public static final Integer PAGE_SIZE = 10;

    /**
     * 支付系统业务调用成功f返回码
     */
    public static final Integer PAY_SYSTEM_SUCCESS_CODE = 200;

    /**
     * 医生类型 - 个人
     */
    public static final String DOCTOR_TYPE_PERSONAL= "个人";

    public static final Integer DOCTOR_TYPE= 1;

    public static final Integer PATIENT_TYPE= 1;


    /**
     * 默认评分
     */
    public static final double SATISFACTION = 5;

    public static final int INQUIRY_END_PRE = 3;


    /**
     *  3分钟秒数
     */
    public static final int INQUIRY_END_TIME = 180;

    public static final int TENMINT_TIME = 600;


    /**
     *  im聊天条数
     */
    public static final int IM_CURRENT_NUM = 3 ;


    /**
     * 医生超时未接待，推送给患者端APP title
     */
    public static final String PATIENT_DOCTOR_OVERTIME_TITLE = "医生超时未接待";


    /**
     * 候诊提醒，推送给患者端APP title
     */
    public static final String PATIENT_WAITE_REMIND_TITLE = "候诊提醒";


    /**
     * 医生向患者发起视频，推送给患者端APP title
     */
    public static final String PATIENT_VIDEO_INQUIRY_TITLE = "医生邀请您视频问诊";


    /**
     * 医生拒绝问诊，推送给患者端APP title
     */
    public static final String PATIENT_DOCTOR_REFUSE_TITLE = "医生拒绝问诊";

    public static final String HOS_NAME = "hos_name";

    public static final String DATA = "data";

    public static final String ASC = "1";
    public static final String DESC = "2";

    public static final String DAY_TYPE = "1";
    public static final String WEEK_TYPE = "2";
    public static final String MONTH_TYPE = "3";

    /**
     * -1 - 数据非法
     */
    public static final Integer STATUS_NOTVALID = -1;

    public static final String APP_CODE = "NCZK";

    public static final String ORGAN_NAME = "南昌众康医院";

    public static final Long ORGAN_CODE = 130188L;

    public static final Integer DAY = 30;


    public static final String GRANT_TYPE = "client_credentials";

    public static final String DES_SECRET = "zk26rdgfsg23j42fewegfr234h23423g44323";

    public static final String SIGN_SECRET = "123456";

    public static final String SUPPLIER_CODE = "ZhongKang";

    public static final String SUPPLIER_CODE_JTYS = "zhongkang_mfd";

    public static final String USER_ACTION ="2000";

    public static final String MSG_TYPE = "PICTURE";
}
