package com.ebaiyihui.family.doctor.server.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

/**
 * @ClassName: JedisProperties
 * @Author:yanliang
 * @Date:2024/4/26 09:33
 * @Description
 */
@Data
@Configuration
@Component
@ConfigurationProperties(prefix = "spring.redis.jedis.pool")
public class JedisProperties {

    private Integer maxIdle;

    private Integer maxWait;

    private Integer minIdle;

    private Integer maxActive;

}
