package com.ebaiyihui.family.doctor.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName: PatientEntity
 * @Author:yanliang
 * @Date:2024/3/13 16:25
 * @Description
 */
@Data
@TableName(value = "patient")
public class PatientEntity {

    @TableId(type = IdType.ID_WORKER_STR)
    private String id;

    private Date createTime;

    private Date updateTime;

    private String patientName;

    private String credNo;

    private String phone;

    private String birthDates;

    private Integer gender;

    private Integer patientType;

    private String userId;

    private Integer onOfflineStatus;

    private Integer unReadCount;

    private String offLineTime;
}
