package com.ebaiyihui.family.doctor.server.mapper;

import com.ebaiyihui.family.doctor.server.entity.MobileBenefitPackageEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName: MobileBenefitPackageMapper
 * @Author:yanliang
 * @Date:2024/3/19 10:56
 * @Description
 */
@Mapper
public interface MobileBenefitPackageMapper {

    void insert(MobileBenefitPackageEntity entity);

    MobileBenefitPackageEntity queryByPhone(@Param("mobile") String mobile, @Param("activateOrderId") String activateOrderId, @Param("flag") String flag);

    void updateUsed(MobileBenefitPackageEntity entity);

//    MobileBenefitPackageEntity queryByOrderId(@Param("orderId") String orderId);

    void update(MobileBenefitPackageEntity entity);

    void updateDoctorId(MobileBenefitPackageEntity entity);

    void updateVersion(MobileBenefitPackageEntity entity);

    List<String> getPatientIdsByPhoneAndOrderId(@Param("phone") String phone);

    List<MobileBenefitPackageEntity> queryMaxOneList();
}
