package com.ebaiyihui.family.doctor.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ebaiyihui.family.doctor.server.entity.ScheduleRecordEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName: ScheduleRecordMapper
 * @Author:yanliang
 * @Date:2024/3/11 14:18
 * @Description
 */
@Mapper
public interface ScheduleRecordMapper extends BaseMapper<ScheduleRecordEntity> {

    List<ScheduleRecordEntity> selectByDate(@Param("hospitalId") String hospitalId,
                                            @Param("servType") Integer servType,
                                            @Param("scheduleDate") String scheduleDate,
                                            @Param("status") Integer status,
                                            @Param("endStart") String endStart,
                                            @Param("doctorId") String doctorId);
}
