package com.ebaiyihui.family.doctor.server.service;

import com.ebaiyihui.family.doctor.common.bo.MobileBenefitRes;
import com.ebaiyihui.family.doctor.common.bo.Result;
import com.ebaiyihui.family.doctor.common.dto.IMUpdateOnlineStatusReqDTO;
import com.ebaiyihui.family.doctor.common.dto.MobileBenefitPackageDTO;
import com.ebaiyihui.family.doctor.common.vo.RegisterPatientVo;
import com.ebaiyihui.framework.response.BaseResponse;

import java.util.List;

/**
 * @ClassName: MobileBenefitPackageService
 * @Author:yanliang
 * @Date:2024/3/19 10:37
 * @Description
 */

public interface MobileBenefitPackageService {

    BaseResponse<RegisterPatientVo> register(String token);

    Result<MobileBenefitRes> addBenefitPackage(List<MobileBenefitPackageDTO> vos);

    BaseResponse<String> updateOnlineStatus(IMUpdateOnlineStatusReqDTO reqDTO);
}
