package com.ebaiyihui.family.doctor.server.service;

import com.ebaiyihui.family.doctor.common.dto.InsertScheduleRecordReqDTO;
import com.ebaiyihui.family.doctor.common.dto.RequestGetScheduleForWeekDTO;
import com.ebaiyihui.family.doctor.common.dto.RequestUpdateScheduleStatusDTO;
import com.ebaiyihui.family.doctor.common.dto.ScheduleForWeekReqDTO;
import com.ebaiyihui.family.doctor.common.vo.ResponseGetScheduleForWeekVo;
import com.ebaiyihui.family.doctor.common.vo.ScheduleForWeekResVo;
import com.ebaiyihui.framework.response.BaseResponse;

import java.util.List;

/**
 * @ClassName: ScheduleRecordService
 * @Author:yanliang
 * @Date:2024/3/14 16:21
 * @Description
 */

public interface ScheduleRecordService {
    
    BaseResponse<String> insert(InsertScheduleRecordReqDTO record);

    BaseResponse<List<ResponseGetScheduleForWeekVo>> getScheduleForWeek(RequestGetScheduleForWeekDTO requestGetScheduleForWeekDTO);

    BaseResponse<List<ScheduleForWeekResVo>> scheduleForWeekNew(ScheduleForWeekReqDTO scheduleForWeekReqDTO);

    BaseResponse<String> updateStatus(RequestUpdateScheduleStatusDTO updateScheduleStatusDTO);
}
