package com.ebaiyihui.family.doctor.common.bo;

import lombok.Data;

import java.util.List;

/**
 * @ClassName: patientSignInfo
 * @Author:yanliang
 * @Date:2024/3/14 15:34
 * @Description
 */
@Data
public class PatientSignInfo {

    /**
     * 就诊id
     */
    private String admId;

    /**
     * 平台code
     */
    private String appCode;

    /**
     * 机构code
     */
    private Long organId;

    /**
     * 业务类型
     */
    private Integer serviceType;

    /**
     * 患者用户ID
     */
    private String patientUserId;

    /**
     * 患者名字
     */
    private String patientName;

    /**
     * 患者手机号码
     */
    private String patientPhone;

    /**
     * 团队当前处理人doctorId（个人这个值为null）
     */
    private String doctorId;

    private String doctorName;

    /**
     * 医生用户ID（团队这个值为null）
     */
    private String doctorUserId;

    /**
     * 团队成员信息（个人这个值为null）
     */
    private List<MemberInfo> memberInfos;

    /**
     * 医生头像图片地址
     */
    private String doctorHeadPortrait;

    /**
     * 医生职称
     */
    private String doctorProfessional;

    /**
     * 签约id
     */
    private Long signedId;
}
