package com.ebaiyihui.family.doctor.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName: RequestGetScheduleForWeekDTO
 * @Author:yanliang
 * @Date:2024/3/14 16:25
 * @Description
 */
@Data
public class RequestGetScheduleForWeekDTO {

    @ApiModelProperty("医院id")
    private Long hospitalId;

    @ApiModelProperty("部门id")
    private Long deptId;

    @ApiModelProperty("第几周")
    private Integer week;

    @ApiModelProperty("更多周")
    private Integer[] weeks;

    @ApiModelProperty("医生id")
    private String doctorId;

    @ApiModelProperty("医生名称")
    private String doctorName;

    @ApiModelProperty("业务类型")
    private Integer servType;

    @ApiModelProperty("当前排班日期")
    private Date scheduleDate;

}
