package com.ebaiyihui.family.doctor.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: SignedDoctorVo
 * @Author:yanliang
 * @Date:2024/3/25 09:04
 * @Description
 */
@Data
public class DoctorSchedVo {

    @ApiModelProperty("平台code")
    private String appCode;

    @ApiModelProperty("组织id")
    private Long organId;

    @ApiModelProperty("组织名称")
    private String organName;

    @ApiModelProperty("医生id")
    private Long doctorId;

    @ApiModelProperty("医生名称")
    private String doctorName;

    @ApiModelProperty("部门id")
    private Long deptId;

    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("医生头像")
    private String doctorPortrait;

    @ApiModelProperty("医生擅长")
    private String doctorProfession;

    @ApiModelProperty("医生职称")
    private String doctorTitle;

    @ApiModelProperty(value = "医生简介")
    private String introduction;
}
