package com.ebaiyihui.family.doctor.common.vo;

import com.ebaiyihui.card.common.vo.CardDetailsInfoRespVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: RegistPatientVo
 * @Author:yanliang
 * @Date:2024/3/19 10:38
 * @Description
 */
@Data
public class RegisterPatientVo {

    @ApiModelProperty("就诊人信息")
    CardDetailsInfoRespVO patientInfo;

    @ApiModelProperty("激活权益订单号")
    private String activateOrderId;

    @ApiModelProperty("问诊订单ID")
    private String admId;

    @ApiModelProperty("排班标识")
    private Integer scheduleFlag;

    @ApiModelProperty("消息推送类型")
    private Integer msgPushType;

    @ApiModelProperty("签约id")
    private String signSeqId;

    private String abnormalId;

    private String intention;

    private String doctorId;

    private String thirdId;

    private String userId;
}
