package com.ebaiyihui.family.doctor.server.common.constants;

/**
 * @ClassName: UrlConstants
 * @Author:yanliang
 * @Date:2024/3/15 16:49
 * @Description
 */

public class UrlConstants {

    public static final String GO_EASY_PUSH = "/cloud/push/goeasy/pushgoeasyuserid";

    /**
     * 获取token地址
     */
    public static final String GET_TOKEN_URL = "/auth/v1.0.0/oauth/token";

    /**
     * 订单同步地址
     */
    public static final String PUSH_DATA_URL = "/notify_consult/v1.0.1/data";

    /**
     * 签约信息同步
     */
    public static final String SYNC_SIGNED_ORDER_URL = "/auth/v1.0.1/signature/info";

    /**
     * 修改签约信息
     */
    public static final String UPDATE_SIGNED_ORDER_URL = "/auth/v1.0.1/signature/changeSign";

    /**
     * 获取异常数据
     */
    public static final String ABNORMAL_DATA_URL = "/auth/v1.0.0/abnormal/detail";

    /**
     * 查询用户健康计划是否开启状态
     */
    public static final String HEALTH_SCHEDULE_STATUS_URL = "/auth/v1.0.0/healthSchedule/status";

    /**
     * 查询用户健康档案30天内是否有更新
     */
    public static final String HEALTH_RECORD_WHETHER_UPDATE_URL = "/auth/v1.0.0/healthRecordWhetherUpdate";

    /**
     * 推送创建家庭医生图文随访订单
     */
    public static final String PUSH_FOLLOW_UP_ORDER_URL = "/auth/v1.0.0/push/follow_up_order";

    /**
     * 查询用户头像
     */
    public static final String USER_PIC_URL = "/auth/v1.0.0/userPicUrl";

    /**
     * 查询用户基础信息
     */
    public static final String USER_BASIC_INFO_URL = "/auth/v1.0.0/userBasicInformation";

    /**
     * 查询用户基础指标信息
     */
    public static final String USER_BASIC_IND_URL = "/auth/v1.0.0/userBasicIndicators";

    /**
     * 查询资源落地页
     */
    public static final String MASTER_URL = "/auth/v1.0.0/family_doctor_master_url";

    /**
     * 查询用户报告详情
     */
    public static final String REPORT_DETAIL_URL = "/auth/v1.0.0/report_detail";

    /**
     * 未读消息推送
     */
    public static final String UN_READ_MSG_URL = "/auth/v1.0.0/push/unread_msg";
}
