package com.ebaiyihui.family.doctor.server.common.enums;

/**
 * @ClassName: SignImStatus
 * @Author:yanliang
 * @Date:2024/3/15 17:33
 * @Description
 */

public enum ImSignStatus {

    SIGN_SUC("签约成功", 1),

    REISSUE_SUC("改签成功", 2),

    INQUIRY_DOC("问医生", 3),

    INQUIRY_SCH_DOC("问值班医生", 8),

    HEALTH_ILLNESS_CONSULT("健康/疾病咨询", 4),

    MEDIC_GUID("用药指导", 5),

    REPORT_INTERPRET("报告解读", 6),

    PRES_MEDIC("处方开药", 7),

    REPORT_EXC("报告异常", 9),

    HEALTH_EVAL("完成健康评估后", 10);

    private String desc;
    private Integer value;

    private ImSignStatus(String desc, Integer value) {
        this.desc = desc;
        this.value = value;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }
}
